## sbd 0.1.0

=== DESCRIPTION ===
Package: sbd
Type: Package
Title: Size Biased Distributions
Version: 0.1.0
Authors@R: person("Marcus", "Rowcliffe", 
    email = "marcus.rowcliffe@ioz.ac.uk",
    role = c("aut", "cre"))
Description: Fitting and plotting parametric or non-parametric size-biased 
    non-negative distributions, with optional covariates if parametric. 
    Rowcliffe, M. et al. (2016) <doi:10.1002/rse2.17>.
URL: https://github.com/MarcusRowcliffe/sbd
BugReports: https://github.com/MarcusRowcliffe/sbd/issues
License: GPL-3
Encoding: UTF-8
Imports: bbmle, MASS, dplyr
LazyData: true
RoxygenNote: 7.2.3
NeedsCompilation: no
Packaged: 2024-06-01 00:01:57 UTC; Rowcliffe.M
Author: Marcus Rowcliffe [aut, cre]
Maintainer: Marcus Rowcliffe <marcus.rowcliffe@ioz.ac.uk>
Depends: R (>= 3.5.0)
Repository: CRAN
Date/Publication: 2024-06-04 09:47:59 UTC

## sbd 1.2.0-109-gc511b06

=== debian/changelog ===
sbd (1.2.0-109-gc511b06-3) unstable; urgency=medium

  * debian/patches/ld-as-needed.patch: Use LDADD instead of LDFLAGS to fix
    FTBFS with ld --as-needed (Closes: 842886).
  * debian/tests: run regression testsuite

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Tue, 17 Jan 2017 17:02:47 +0100

sbd (1.2.0-109-gc511b06-2) unstable; urgency=medium

  * patch: fix compiling failure regarding format-security.
    (Closes: 828163)

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Fri, 01 Jul 2016 13:45:39 +0200

sbd (1.2.0-109-gc511b06-1) unstable; urgency=medium

  * Initial release
  * Changes to upstream:
    - use hardcoded path for kill
    - replace sysconfig by default in sbd.service.in
    - ship own defaults file

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Mon, 28 Mar 2016 15:37:00 +0200

=== debian/control ===
Source: sbd
Section: admin
Priority: optional
Maintainer: Debian HA Maintainers <debian-ha-maintainers@lists.alioth.debian.org>
Uploaders: Adrian Vondendriesch <adrian.vondendriesch@credativ.de>
Build-Depends: debhelper (>= 9),
 dh-autoreconf,
 dh-systemd,
 libglib2.0-dev,
 libcib-dev (>= 1.1.8),
 libcrmcommon-dev (>= 1.1.8),
 libcrmcluster-dev (>= 1.1.8),
 libpengine-dev (>= 1.1.8),
 liblrmd-dev (>= 1.1.8),
 libcrmservice-dev (>= 1.1.8),
 libcpg-dev,
 libxml2-dev,
 libplumbgpl2-dev,
 libplumb2-dev,
 libaio-dev,
 uuid-dev,
 libqb-dev,
Standards-Version: 3.9.8
Homepage: https://github.com/ClusterLabs/sbd/
Vcs-Git: git://anonscm.debian.org/debian-ha/sbd.git
Vcs-Browser: https://anonscm.debian.org/cgit/debian-ha/sbd.git

Package: sbd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: STONITH Block Device daemon
 SBD provides a node fencing mechanism (Shoot the other node in the
 head, STONITH) for Pacemaker-based clusters through the exchange of
 messages via shared block storage such as for example a SAN, iSCSI,
 FCoE. It can be used as a STONITH mechanism in all configurations
 that have reliable shared storage.

=== debian/tests/control ===
Depends: @
Restrictions: needs-root, allow-stderr
Tests: regression

## sbd 1.3.0-13-gf37a182

=== debian/changelog ===
sbd (1.3.0-13-gf37a182-1) unstable; urgency=medium

  * New upstream version
  * debian/tests: regression test requires isolation-machine
  * debian/tests: add test for watch command
  * debian/clean: remove man page
  * debian/control: set Architecture to linux-any
  * debian/watch: check for new releases on github
  * debian/patches: drop patches applied upstream
  * Update lintian override for man page
  * debian/control: add myself to Uploaders
  * debian/control: update Standards-Version to 4.0.0 with no changes
  * debian/tests: add simple test that works in lxc
  * Include init script for sysv systems
  * debian/tests: add test to fence current host

 -- Valentin Vidic <Valentin.Vidic@CARNet.hr>  Fri, 23 Jun 2017 18:45:01 +0200

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,11 @@
 Section: admin
 Priority: optional
 Maintainer: Debian HA Maintainers <debian-ha-maintainers@lists.alioth.debian.org>
-Uploaders: Adrian Vondendriesch <adrian.vondendriesch@credativ.de>
-Build-Depends: debhelper (>= 9),
+Uploaders: Adrian Vondendriesch <adrian.vondendriesch@credativ.de>,
+ Valentin Vidic <Valentin.Vidic@CARNet.hr>
+Build-Depends: debhelper (>= 10),
  dh-autoreconf,
+ dh-exec,
  dh-systemd,
  libglib2.0-dev,
  libcib-dev (>= 1.1.8),
@@ -20,14 +22,14 @@
  libaio-dev,
  uuid-dev,
  libqb-dev,
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: https://github.com/ClusterLabs/sbd/
 Vcs-Git: git://anonscm.debian.org/debian-ha/sbd.git
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-ha/sbd.git
 
 Package: sbd
-Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Architecture: linux-any
+Depends: lsb-base, ${shlibs:Depends}, ${misc:Depends}
 Description: STONITH Block Device daemon
  SBD provides a node fencing mechanism (Shoot the other node in the
  head, STONITH) for Pacemaker-based clusters through the exchange of

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

# crm_config.h lives outside the default include direcotires.
# Moreover, we need to use std=gnu89 to prevent compiling errors.
export DEB_CFLAGS_MAINT_APPEND = -I/usr/include/$(shell dpkg-architecture -q DEB_TARGET_MULTIARCH)/pacemaker

# Avoid useless dependencies in the utilities
export DEB_LDFLAGS_MAINT_APPEND+=-Wl,--as-needed

#export DPKG_EXPORT_BUILDFLAGS = 1
#include /usr/share/dpkg/buildflags.mk

%:
	dh $@

override_dh_auto_configure:
# We need to override the libdir, otherwise it will be installed
# within /usr/lib/${DEB_HOST_MULTIARCH} and pacemaker will not be
# able to find the external/sbd agent.
	dh_auto_configure -- --libdir=/usr/lib

override_dh_missing:
	dh_missing --fail-missing

# sbd is started through corosync.
override_dh_systemd_start:
	dh_systemd_start --no-start

override_dh_installinit:
	dh_installinit --only-scripts --no-start

=== debian/tests/control ===
Tests: help

Restrictions: needs-root, isolation-machine
Tests: watch

Restrictions: needs-root, allow-stderr, isolation-machine
Tests: regression

Depends: @, pacemaker, crmsh
Restrictions: needs-root, isolation-machine
Tests: fence

## sbd 1.3.1

=== debian/changelog ===
sbd (1.3.1-2) unstable; urgency=medium

  * debian/patches: fix build with glibc 2.25 (Closes: #882624)

 -- Valentin Vidic <Valentin.Vidic@CARNet.hr>  Sat, 25 Nov 2017 08:25:18 +0100

sbd (1.3.1-1) unstable; urgency=medium

  * New upstream version 1.3.1
  * debian/patches: refresh for new version
  * debian/control: update Standards-Version to 4.1.1
  * debian/rules: disable verbose build
  * debian/patches: fix gcc build errors
  * debian/control: drop dh-exec from Build-Depends
  * debian/control: add libcmap-dev to Build-Depends

 -- Valentin Vidic <Valentin.Vidic@CARNet.hr>  Thu, 09 Nov 2017 11:23:29 +0100

sbd (1.3.0-13-gf37a182-2) unstable; urgency=medium

  * debian/install: include sbd_remote.service
  * debian/control: remove dh-autoreconf from Build-Depends
  * debian/patches: make agent use /etc/default/sbd
  * debian/rules: disable stop/start for sbd_remote
  * debian/install: use upstream config file
  * debian/tests: add tests for diskless mode

 -- Valentin Vidic <Valentin.Vidic@CARNet.hr>  Wed, 02 Aug 2017 17:42:11 +0200

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,6 @@
 Uploaders: Adrian Vondendriesch <adrian.vondendriesch@credativ.de>,
  Valentin Vidic <Valentin.Vidic@CARNet.hr>
 Build-Depends: debhelper (>= 10),
- dh-autoreconf,
- dh-exec,
- dh-systemd,
  libglib2.0-dev,
  libcib-dev (>= 1.1.8),
  libcrmcommon-dev (>= 1.1.8),
@@ -15,6 +12,7 @@
  libpengine-dev (>= 1.1.8),
  liblrmd-dev (>= 1.1.8),
  libcrmservice-dev (>= 1.1.8),
+ libcmap-dev,
  libcpg-dev,
  libxml2-dev,
  libplumbgpl2-dev,
@@ -22,7 +20,7 @@
  libaio-dev,
  uuid-dev,
  libqb-dev,
-Standards-Version: 4.0.0
+Standards-Version: 4.1.1
 Homepage: https://github.com/ClusterLabs/sbd/
 Vcs-Git: git://anonscm.debian.org/debian-ha/sbd.git
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-ha/sbd.git

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,4 @@
 #!/usr/bin/make -f
-
-export DH_VERBOSE=1
 
 # see FEATURE AREAS in dpkg-buildflags(1)
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
@@ -22,14 +20,19 @@
 # We need to override the libdir, otherwise it will be installed
 # within /usr/lib/${DEB_HOST_MULTIARCH} and pacemaker will not be
 # able to find the external/sbd agent.
-	dh_auto_configure -- --libdir=/usr/lib
+	dh_auto_configure -- --libdir=/usr/lib --bindir=/bin --with-configdir=/etc/default
+
+override_dh_install:
+	dh_install
+	install -D -m 0755 src/sbd.sh        debian/sbd/etc/init.d/sbd
+	install -D -m 0644 src/sbd.sysconfig debian/sbd/etc/default/sbd
 
 override_dh_missing:
 	dh_missing --fail-missing
 
 # sbd is started through corosync.
-override_dh_systemd_start:
-	dh_systemd_start --no-start
-
 override_dh_installinit:
 	dh_installinit --only-scripts --no-start
+
+# sbd_remote is started through pacemaker_remote.
+override_dh_systemd_start:

=== debian/tests/control ===
--- 
+++ 
@@ -1,4 +1,12 @@
 Tests: help
+
+Depends: @, corosync
+Restrictions: needs-root, isolation-container
+Tests: corosync
+
+Depends: @, pacemaker-remote
+Restrictions: needs-root, isolation-container
+Tests: pacemaker-remote
 
 Restrictions: needs-root, isolation-machine
 Tests: watch

## sbd 1.4.0

=== debian/changelog ===
sbd (1.4.0-1build1) eoan; urgency=medium

  * Rebuild against new pacemaker.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 06 May 2019 08:55:06 +0200

sbd (1.4.0-1) unstable; urgency=medium

  * New upstream version 1.4.0
  * Delete our patches (all upstreamed)
  * Add myself to Uploaders
  * Migrate to the unified pacemaker-dev package
  * Update Standards-Version to 4.3.0 (no changes required)

 -- Ferenc Wágner <wferi@debian.org>  Tue, 15 Jan 2019 09:25:28 +0100

sbd (1.3.1-4) unstable; urgency=medium

  * debian/rules: cleanup unused options
  * debian/control: update my mail address
  * debian/control: update Standards-Version to 4.2.1
  * debian/tests: test reboot using fence-agents

 -- Valentin Vidic <vvidic@debian.org>  Wed, 19 Sep 2018 11:05:50 +0200

sbd (1.3.1-3) unstable; urgency=medium

  * debian/control: update Vcs URLs to use salsa
  * debian/patches: fix spelling errors reported by lintian
  * debian/patches: add descriptions
  * debian/patches: add status option to init script
  * debian/patches: add Documentation to systemd services
  * debian/control: update for debhelper v11
  * debian/control: update Standards-Version to 4.1.3

 -- Valentin Vidic <Valentin.Vidic@CARNet.hr>  Fri, 16 Mar 2018 15:06:53 +0100

## sbd 1.4.0-18-g5e3283c

=== debian/changelog ===
sbd (1.4.0-18-g5e3283c-1) unstable; urgency=medium

  * New upstream version 1.4.0-18-g5e3283c (Closes: #925821)
  * debian/sbd.lintian-overrides: update manpage line
  * debian/patches: use /run for PIDFile location
  * debian/tests: update for corosync v3

 -- Valentin Vidic <vvidic@debian.org>  Wed, 08 May 2019 10:55:44 +0200

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,11 @@
 Priority: optional
 Maintainer: Debian HA Maintainers <debian-ha-maintainers@lists.alioth.debian.org>
 Uploaders: Adrian Vondendriesch <adrian.vondendriesch@credativ.de>,
- Valentin Vidic <Valentin.Vidic@CARNet.hr>
-Build-Depends: debhelper (>= 10),
+ Valentin Vidic <vvidic@debian.org>,
+ Ferenc Wágner <wferi@debian.org>,
+Build-Depends: debhelper (>= 11),
  libglib2.0-dev,
- libcib-dev (>= 1.1.8),
- libcrmcommon-dev (>= 1.1.8),
- libcrmcluster-dev (>= 1.1.8),
- libpengine-dev (>= 1.1.8),
- liblrmd-dev (>= 1.1.8),
- libcrmservice-dev (>= 1.1.8),
+ pacemaker-dev,
  libcmap-dev,
  libcpg-dev,
  libxml2-dev,
@@ -20,10 +16,10 @@
  libaio-dev,
  uuid-dev,
  libqb-dev,
-Standards-Version: 4.1.1
+Standards-Version: 4.3.0
 Homepage: https://github.com/ClusterLabs/sbd/
-Vcs-Git: git://anonscm.debian.org/debian-ha/sbd.git
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-ha/sbd.git
+Vcs-Browser: https://salsa.debian.org/ha-team/sbd
+Vcs-Git: https://salsa.debian.org/ha-team/sbd.git
 
 Package: sbd
 Architecture: linux-any

=== debian/rules ===
--- 
+++ 
@@ -10,16 +10,13 @@
 # Avoid useless dependencies in the utilities
 export DEB_LDFLAGS_MAINT_APPEND+=-Wl,--as-needed
 
-#export DPKG_EXPORT_BUILDFLAGS = 1
-#include /usr/share/dpkg/buildflags.mk
-
 %:
 	dh $@
 
-override_dh_auto_configure:
 # We need to override the libdir, otherwise it will be installed
 # within /usr/lib/${DEB_HOST_MULTIARCH} and pacemaker will not be
 # able to find the external/sbd agent.
+override_dh_auto_configure:
 	dh_auto_configure -- --libdir=/usr/lib --bindir=/bin --with-configdir=/etc/default
 
 override_dh_install:
@@ -35,4 +32,5 @@
 	dh_installinit --only-scripts --no-start
 
 # sbd_remote is started through pacemaker_remote.
-override_dh_systemd_start:
+override_dh_installsystemd:
+	dh_installsystemd --no-start --no-restart-on-upgrade --no-restart-after-upgrade

=== debian/tests/control ===
--- 
+++ 
@@ -14,6 +14,10 @@
 Restrictions: needs-root, allow-stderr, isolation-machine
 Tests: regression
 
-Depends: @, pacemaker, crmsh
-Restrictions: needs-root, isolation-machine
-Tests: fence
+Depends: @
+Restrictions: needs-root, isolation-machine, breaks-testbed
+Tests: fence-external
+
+Depends: @
+Restrictions: needs-root, isolation-machine, breaks-testbed
+Tests: fence-agents

## sbd 1.4.1

=== debian/changelog ===
sbd (1.4.1-3) unstable; urgency=medium

  * debian/control: cleanup Build-Depends

 -- Valentin Vidic <vvidic@debian.org>  Sat, 11 Jan 2020 11:48:05 +0100

sbd (1.4.1-2) unstable; urgency=medium

  * debian/salsa-ci.yml: enable CI
  * debian/control: add build depends for pacemaker 2.0.3
  * debian/control: add Rules-Requires-Root

 -- Valentin Vidic <vvidic@debian.org>  Thu, 26 Dec 2019 20:55:15 +0100

sbd (1.4.1-1) unstable; urgency=medium

  * New upstream version 1.4.1
  * debian/control: add libvotequorum-dev to Build-Depends
  * debian/control: sort Build-Depends list
  * debian/control: use debhelper v12
  * debian/control: update Standards-Version to 4.4.1
  * debian/rules: run autogen.sh before build
  * debian/rules: do not package the test libarary
  * debian/tests: make the corosync test skippable

 -- Valentin Vidic <vvidic@debian.org>  Sat, 23 Nov 2019 14:04:31 +0100

=== debian/control ===
--- 
+++ 
@@ -5,18 +5,17 @@
 Uploaders: Adrian Vondendriesch <adrian.vondendriesch@credativ.de>,
  Valentin Vidic <vvidic@debian.org>,
  Ferenc Wágner <wferi@debian.org>,
-Build-Depends: debhelper (>= 11),
+Build-Depends:
+ debhelper-compat (= 12),
+ libaio-dev,
+ libcmap-dev,
  libglib2.0-dev,
+ libqb-dev,
+ libvotequorum-dev,
  pacemaker-dev,
- libcmap-dev,
- libcpg-dev,
- libxml2-dev,
- libplumbgpl2-dev,
- libplumb2-dev,
- libaio-dev,
  uuid-dev,
- libqb-dev,
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
+Rules-Requires-Root: no
 Homepage: https://github.com/ClusterLabs/sbd/
 Vcs-Browser: https://salsa.debian.org/ha-team/sbd
 Vcs-Git: https://salsa.debian.org/ha-team/sbd.git
@@ -24,6 +23,7 @@
 Package: sbd
 Architecture: linux-any
 Depends: lsb-base, ${shlibs:Depends}, ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
 Description: STONITH Block Device daemon
  SBD provides a node fencing mechanism (Shoot the other node in the
  head, STONITH) for Pacemaker-based clusters through the exchange of

=== debian/rules ===
--- 
+++ 
@@ -19,10 +19,16 @@
 override_dh_auto_configure:
 	dh_auto_configure -- --libdir=/usr/lib --bindir=/bin --with-configdir=/etc/default
 
+# Generate tests-opt.m4 before autoreconf runs.
+override_dh_autoreconf:
+	./autogen.sh
+	dh_autoreconf
+
 override_dh_install:
 	dh_install
 	install -D -m 0755 src/sbd.sh        debian/sbd/etc/init.d/sbd
 	install -D -m 0644 src/sbd.sysconfig debian/sbd/etc/default/sbd
+	rm debian/sbd/usr/lib/libsbdtestbed*
 
 override_dh_missing:
 	dh_missing --fail-missing

=== debian/watch ===
version=3
https://github.com/ClusterLabs/sbd/releases .*/v?(\d\S*)\.tar\.gz

## sbd 1.4.2

=== debian/changelog ===
sbd (1.4.2-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository, Repository-Browse.

  [ Valentin Vidic ]
  * New upstream version 1.4.2
  * debian/patches: try to refresh for new version
  * debian/control: use debhelper v13
  * debian/control: use Standards-Version 4.5.1
  * debian/watch: update watch file version to 4
  * debian/lintian-overrides: remove unused override

 -- Valentin Vidic <vvidic@debian.org>  Fri, 04 Dec 2020 22:11:27 +0100

sbd (1.4.1-4) unstable; urgency=medium

  * debian/patches: try to fix FTBFS on armhf
  * debian/control: update Standards-Version to 4.5.0
  * debian/lintian-overrides: ignore stonith script in /usr/lib

 -- Valentin Vidic <vvidic@debian.org>  Sun, 19 Apr 2020 12:27:40 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Valentin Vidic <vvidic@debian.org>,
  Ferenc Wágner <wferi@debian.org>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  libaio-dev,
  libcmap-dev,
  libglib2.0-dev,
@@ -14,7 +14,7 @@
  libvotequorum-dev,
  pacemaker-dev,
  uuid-dev,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://github.com/ClusterLabs/sbd/
 Vcs-Browser: https://salsa.debian.org/ha-team/sbd

=== debian/tests/control ===
Tests: help

Depends: @, corosync
Restrictions: needs-root, isolation-container, skippable
Tests: corosync

Depends: @, pacemaker-remote
Restrictions: needs-root, isolation-container
Tests: pacemaker-remote

Restrictions: needs-root, isolation-machine
Tests: watch

Depends: @
Restrictions: needs-root, isolation-machine, breaks-testbed
Tests: fence-external

Depends: @
Restrictions: needs-root, isolation-machine, breaks-testbed
Tests: fence-agents

=== debian/watch ===
version=4
https://github.com/ClusterLabs/sbd/releases .*/v?(\d\S*)\.tar\.gz

## sbd 1.5.1

=== debian/changelog ===
sbd (1.5.1-2ubuntu1) kinetic; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/t/control: add resource-agents-extra as a dependency of
      fence-external test
      (LP #1968226)

 -- Michał Małoszewski <michal.maloszewski@canonical.com>  Wed, 13 Jul 2022 14:10:11 +0000

sbd (1.5.1-2) unstable; urgency=medium

  * debian/patches: fix location of config file (Closes: #1014053)
  * debian/control: update Standards-Version to 4.6.1
  * debian/copyright: update year for debian files
  * debian/lintian-overrides: update format

 -- Valentin Vidic <vvidic@debian.org>  Sat, 09 Jul 2022 18:10:18 +0200

sbd (1.5.1-1ubuntu2) jammy; urgency=medium

  * d/t/control: make fence-external depend on resource-agents-extra instead
    of fence-agents-extra (LP: #1968226).

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Mon, 11 Apr 2022 16:07:25 -0300

sbd (1.5.1-1ubuntu1) jammy; urgency=medium

  * d/t/control: add fence-agents-extra as a dependency of the fence-external
    test (LP: #1968226).

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Thu, 07 Apr 2022 17:33:56 -0300

sbd (1.5.1-1build1) jammy; urgency=medium

  * No-change rebuild to update maintainer scripts, see LP: 1959054

 -- Dave Jones <dave.jones@canonical.com>  Wed, 16 Feb 2022 17:32:08 +0000

sbd (1.5.1-1) unstable; urgency=medium

  * New upstream version 1.5.1
  * debian/patches: refresh for new version
  * Revert "debian/install: update location for systemd files"
  * debian/copyright: update copyright for debian/*

 -- Valentin Vidic <vvidic@debian.org>  Thu, 18 Nov 2021 22:28:53 +0100

sbd (1.5.0-1) unstable; urgency=medium

  * New upstream version 1.5.0
  * debian/control: use Standards-Version 4.6.0
  * debian/install: update location for systemd files

 -- Valentin Vidic <vvidic@debian.org>  Sun, 05 Sep 2021 21:12:30 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: sbd
 Section: admin
 Priority: optional
-Maintainer: Debian HA Maintainers <debian-ha-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian HA Maintainers <debian-ha-maintainers@lists.alioth.debian.org>
 Uploaders: Adrian Vondendriesch <adrian.vondendriesch@credativ.de>,
  Valentin Vidic <vvidic@debian.org>,
  Ferenc Wágner <wferi@debian.org>,
@@ -14,7 +15,7 @@
  libvotequorum-dev,
  pacemaker-dev,
  uuid-dev,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://github.com/ClusterLabs/sbd/
 Vcs-Browser: https://salsa.debian.org/ha-team/sbd

## sbd 1.5.2

=== debian/changelog ===
sbd (1.5.2-5) unstable; urgency=medium

  * debian/patches: try to fix failing test
  * debian/control: update Standards-Version to 4.7.2

 -- Valentin Vidic <vvidic@debian.org>  Tue, 06 May 2025 00:24:48 +0200

sbd (1.5.2-4) unstable; urgency=medium

  * debian/control: update Standards-Version to 4.7.1
  * debian/tests: update for split fence-agents package
  * debian/tests: fix failing corosync test (Closes: #1098676)

 -- Valentin Vidic <vvidic@debian.org>  Tue, 25 Feb 2025 22:36:11 +0100

sbd (1.5.2-3) unstable; urgency=medium

  * debian/control: update Standards-Version to 4.7.0
  * debian/install: move systemd files to /usr (Closes: #1073653)
  * debian/clean: remove generated file tests-opt.m4 (Closes: #1048033)

 -- Valentin Vidic <vvidic@debian.org>  Sat, 22 Jun 2024 18:23:58 +0200

sbd (1.5.2-2) unstable; urgency=medium

  [ Valentin Vidic ]
  * debian/control: drop lsb-base dependency

  [ Ferenc Wágner ]
  * New patch: Hardwiring the libaio SONAME is fragile and unnecessary
    (Closes: #1065486)

 -- Ferenc Wágner <wferi@debian.org>  Sun, 17 Mar 2024 14:37:53 +0100

sbd (1.5.2-1) unstable; urgency=medium

  * New upstream version 1.5.2
  * debian/watch: update github url
  * debian/patches: refresh for new version
  * debian/control: update Standards-Version to 4.6.2

 -- Valentin Vidic <vvidic@debian.org>  Fri, 13 Jan 2023 01:07:08 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: sbd
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian HA Maintainers <debian-ha-maintainers@lists.alioth.debian.org>
+Maintainer: Debian HA Maintainers <debian-ha-maintainers@lists.alioth.debian.org>
 Uploaders: Adrian Vondendriesch <adrian.vondendriesch@credativ.de>,
  Valentin Vidic <vvidic@debian.org>,
  Ferenc Wágner <wferi@debian.org>,
@@ -15,7 +14,7 @@
  libvotequorum-dev,
  pacemaker-dev,
  uuid-dev,
-Standards-Version: 4.6.1
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://github.com/ClusterLabs/sbd/
 Vcs-Browser: https://salsa.debian.org/ha-team/sbd
@@ -23,7 +22,7 @@
 
 Package: sbd
 Architecture: linux-any
-Depends: lsb-base, ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Description: STONITH Block Device daemon
  SBD provides a node fencing mechanism (Shoot the other node in the

=== debian/tests/control ===
--- 
+++ 
@@ -15,6 +15,6 @@
 Restrictions: needs-root, isolation-machine, breaks-testbed
 Tests: fence-external
 
-Depends: @
+Depends: @, fence-agents-sbd
 Restrictions: needs-root, isolation-machine, breaks-testbed
 Tests: fence-agents

=== debian/watch ===
version=4
https://github.com/ClusterLabs/sbd/tags .*/v?(\d\S*)\.tar\.gz

## sbd 1.37

=== debian/changelog ===
sbd (1.37-1kali5) kali-dev; urgency=medium

  * d/watch: Use a fake watch as we are unlikely to ever see updates to this package.

 -- Steev Klimaszewski <steev@kali.org>  Fri, 20 Oct 2023 12:22:24 -0500

sbd (1.37-1kali4) kali-dev; urgency=medium

  [ Raphaël Hertzog ]
  * Add GitLab's CI configuration file
  * Configure git-buildpackage for Kali
  * Update URL in GitLab's CI configuration file

  [ Kali Janitor ]
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * Use secure URI in Homepage field.
  * Bump debhelper from deprecated 8 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Change priority extra to priority optional.

  [ Ben Wilson ]
  * Add Uploaders
  * Remove template comment and switch spaces to tabs

  [ Steev Klimaszewski ]
  * d/watch: Add watch file
  * Update standards version to 4.6.2, no changes needed.
  * Fix stray new line in copyright.
  * Prepare for Release

 -- Steev Klimaszewski <steev@kali.org>  Wed, 25 Jan 2023 10:30:22 -0600

sbd (1.37-1kali3) kali-dev; urgency=medium

  * Fix typo

 -- Ben Wilson <g0tmi1k@kali.org>  Mon, 10 Jun 2019 21:51:33 +0100

sbd (1.37-1kali2) kali-dev; urgency=medium

  * Switch install location

 -- Ben Wilson <g0tmi1k@kali.org>  Mon, 10 Jun 2019 21:18:49 +0100

sbd (1.37-1kali1) kali; urgency=low

  * Removed desktop file

 -- Mati Aharoni <muts@kali.org>  Sat, 15 Dec 2012 14:15:40 -0500

sbd (1.37-1kali0) kali; urgency=low

  * Initial release

 -- Mati Aharoni <muts@kali.org>  Tue, 04 Dec 2012 08:17:23 -0500

=== debian/control ===
Source: sbd
Section: net
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Mati Aharoni <muts@kali.org>,
           Ben Wilson <g0tmi1k@kali.org>,
Build-Depends: debhelper-compat (= 12)
Standards-Version: 4.6.2
Homepage: https://mirrors.kernel.org/gentoo/distfiles/sbd-1.37.tar.gz
Vcs-Git: https://gitlab.com/kalilinux/packages/sbd.git
Vcs-Browser: https://gitlab.com/kalilinux/packages/sbd

Package: sbd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Secure backdoor for linux and windows
 sbd is a Netcat-clone, designed to be portable and offer strong encryption. It
 runs on Unix-like operating systems and on Microsoft Win32. sbd features
 AES-CBC-128 + HMAC-SHA1 encryption (by Christophe Devine), program execution
 (-e option), choosing source port, continuous reconnection with delay, and
 some other nice features. sbd supports TCP/IP communication only.

=== debian/rules ===
#!/usr/bin/make -f

# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

%:
	dh $@

override_dh_auto_install:
	make unix

=== debian/watch ===
version=4
# Upstream does not have a valid ssl cert for the domain.
#http://tigerteam.se/dl/sbd/sbd-(.+)\.tar\.gz
# This package hasn't had an update in 11 years and unlikely to have one.
opts=dversionmangle=s/.*/0.No-Track/ \
https://people.debian.org/~eriberto/ FakeWatchNoUpstreamTrackingForThisPackage-(\d\S+)\.gz
